Bug 960366 - (CVE-2013-2063) CVE-2013-2063 libXtst:Integer overflow leading to heap-based buffer overlow
CVE-2013-2063 libXtst:Integer overflow leading to heap-based buffer overlow
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20130523,repor...
: Security
Depends On: 966830 1078037
Blocks: 959130
  Show dependency treegraph
 
Reported: 2013-05-07 02:17 EDT by Huzaifa S. Sidhpurwala
Modified: 2014-10-22 02:37 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-10-21 03:24:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Huzaifa S. Sidhpurwala 2013-05-07 02:17:16 EDT
Multiple integer overflows leading to heap-based buffer overflows were found in several functions in libXtst, an X.Org X11 libXtst runtime library. When a X client is connected to a malicious X server, (modified to return invalid values), it can cause arbirary code execution with the privileges of the user running the X client.

      Affected functions:  XRecordGetContext()
Comment 3 Jan Lieskovsky 2013-05-23 11:38:20 EDT
Public via:
  http://www.openwall.com/lists/oss-security/2013/05/23/3
Comment 4 Huzaifa S. Sidhpurwala 2013-05-24 00:05:53 EDT
Created libXtst tracking bugs for this issue

Affects: fedora-all [bug 966830]
Comment 5 Fedora Update System 2013-05-27 22:19:47 EDT
libXtst-1.2.1-6.20130524gite7e04b7be.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Huzaifa S. Sidhpurwala 2013-06-04 23:40:53 EDT
This issue affects the version of libXtst as shipped with Red Hat Enterprise Linux 5 and 6.
Comment 7 Huzaifa S. Sidhpurwala 2013-06-04 23:50:35 EDT
Statement:

This issue affects the libXtst package in Red Hat Enterprise Linux 5. Red Hat Product Security has rated this issue as having Moderate security impact. This issue is not planned to be fixed in Red Hat Enterprise Linux 5 as it is now in Production 3 Phase of the support and maintenance life cycle: https://access.redhat.com/support/policy/updates/errata/
Comment 8 Fedora Update System 2013-06-05 21:45:11 EDT
libXtst-1.2.1-6.20130524gite7e04b7be.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Jan Lieskovsky 2013-06-17 09:06:40 EDT
External References:

http://www.x.org/wiki/Development/Security/Advisory-2013-05-23
Comment 11 Huzaifa S. Sidhpurwala 2014-10-21 03:24:03 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2014:1436 https://rhn.redhat.com/errata/RHSA-2014-1436.html

Note You need to log in before you can comment on or make changes to this bug.